<?php


namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Produto;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Gate;
use App\Segmento;
use App\Solucao;

class OrderController extends Controller
{

    public function order(Request $request){
        $arr = null;
        foreach($request['ids'] as $key => $id) {
            $order = $key+1;
            if ($request['model'] == 'segmento') { 
                Segmento::where('id', $id)
                ->update(['order' => $order]);
            }                
            if ($request['model'] == 'solucao') { 
                Solucao::where('id', $id)
                ->update(['order' => $order]);
            }                
            if ($request['model'] == 'produto') { 
                Produto::where('id', $id)
                ->update(['order' => $order]);
            } 
            if ($request['model'] == 'ProdutofeatureItens') { 
                DB::table('feature_produto_items')->where('feature_produto_id', '=', $request['parent_id'])->where('id', $id)->update(array('order' => $order));
            }                               
            if ($request['model'] == 'SegmentofeatureItens') { 
                DB::table('feature_segmento_items')->where('feature_segmento_id', '=', $request['parent_id'])->where('id', $id)->update(array('order' => $order));
            }                               
            if ($request['model'] == 'SolucaofeatureItens') { 
                DB::table('feature_solucao_items')->where('feature_solucao_id', '=', $request['parent_id'])->where('id', $id)->update(array('order' => $order));
                $arr[] = array("id" => $id, "order" => $order);
            }                               
            if ($request['model'] == 'ProdutoBeneficioItens') { 
                DB::table('beneficio_produto_items')->where('beneficio_produto_id', '=', $request['parent_id'])->where('id', $id)->update(array('order' => $order));
            }                               
                            
            if ($request['model'] == 'SolucaoBeneficioItens') { 
                DB::table('beneficio_solucao_items')->where('beneficio_solucao_id', '=', $request['parent_id'])->where('id', $id)->update(array('order' => $order));
            }                               
            if ($request['model'] == 'bannerHome') { 
                DB::table('banners')->where('id', $id)->update(array('order' => $order));
            }                               
            if ($request['model'] == 'sessaoNumeros') { 
                DB::table('session_numbers')->where('id', $id)->update(array('ordem' => $order));
            }                               
        }
        dd($arr);

    }
}
